﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Threading;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        Timer _timer;

        public MainPage()
        {
            InitializeComponent();

            _timer = new Timer(timerCallback, null, 1000, 2000);
            
        }


        public void timerCallback(object state)
        {
            ServiceReference1.WebService1SoapClient wc = new ServiceReference1.WebService1SoapClient();
            wc.GetDataCompleted += wc_GetDataCompleted;
            wc.GetDataAsync();
        }

        void wc_GetDataCompleted(object sender, ServiceReference1.GetDataCompletedEventArgs e)
        {
            ServiceReference1.ProcessData data = e.Result as ServiceReference1.ProcessData;

            Dispatcher.BeginInvoke((Action)(() =>
                {
                    this.lblMem.Content = data.WorkingSetSize;
                    this.lblTick.Content = data.SystemStarted;
                }));
        }
    }
}
